# LobbyDBSpec::GetUser_Data Class Reference

Get a user from the users table, using userId or userHandle for the lookup. More...

`#include <LobbyDBSpec.h>`

Inheritance diagram for LobbyDBSpec::GetUser_Data:

List of all members.

## Public Attributes

bool | getCCInfo
| [in] Get credit card info? (including billing info)
bool | getBinaryData
| [in] Get binary data?
bool | getPersonalInfo
| [in] Get personal information (Name, address)
bool | getEmailAddr
| [in] Get email address?
bool | getPassword
| [in] Get password, recovery question, and recovery answer?
UserIdOrHandle | id
| [in / out] Which user. If hasUserId==false userId is filled in on return.
bool | userFound
| [out] Does this user exist?
CreateUser_Data | output
| [out] All [in] parameters are now [out] parameters. Data not downloaded is not changed.
bool | isBanned
| [out] Tag if this user is banned or not. Set directly in the DB (or I can add a function later).
bool | isSuspended
| [out] Tag if this user is suspended or not. Suspensions are temporary
long long | suspensionExpiration
| [out] When the suspension expires. Parse with _localtime64()
RakNet::RakString | banOrSuspensionReason
| [out] Why the user was banned or suspended.
long long | creationTime
| [out] When this row was added to the database. Parse with _localtime64()

## Detailed Description

Get a user from the users table, using userId or userHandle for the lookup.

The documentation for this class was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyDBSpec.h